#!/usr/bin/python
#
# $Id: Config.py,v 1.1.1.1 2009-12-02 06:54:14 jloden Exp $
#

TV_DEVICE_TYPES = [
  "nt", "unix", "switch", "router", "firewall",
  "slb", "proxy", "vpnc", "printer", "wireless",
  "unknown", "storage"
]

TV_ENTERPRISE_ID = {
  "2"     :  "IBM",
  "9"     :  "Cisco Systems",
  "11"    :  "Hewlett-Packard",
  "23"    :  "Novell Inc.",
  "32"    :  "Santa Cruz Operation",
  "36"    :  "Digital Equipment Corporation",
  "42"    :  "Sun Microsystems",
  "43"    :  "3Com",
  "45"    :  "Bay Networks",
  "63"    :  "Apple Computer Inc.",
  "94"    :  "Nokia",
  "149"   :  "Concord Communications",
  "232"   :  "Compaq Computers",
  "311"   :  "Microsoft Corporation",
  "318"   :  "APC",
  "343"   :  "Intel",
  "442"   :  "BMC Software",
  "476"   :  "Liebert Corporation",
  "522"   :  "Cisco Systems",
  "664"   :  "Adtran, Inc.",
  "674"   :  "Dell Inc.",
  "789"   :  "Network Appliance",
  "795"   :  "Adaptec",
  "835"   :  "MiLAN Technology, Inc.",
  "1031"  :  "BMC Software",
  "1588"  :  "Brocade Systems",
  "1872"  :  "Alteon Networks",
  "1991"  :  "Foundry Networks",
  "2620"  :  "Check Point Technology",
  "2636"  :  "Juniper Networks",
  "2925"  :  "Cyclades Corporation",
  "3052"  :  "Omnitronix, Inc.",
  "3076"  :  "Cisco Systems",
  "3174"  :  "Tasman Networks",
  "3224"  :  "NetScreen Technologies, Inc.",
  "3375"  :  "F5 Systems",
  "3401"  :  "Network General",
  "3417"  :  "Blue Coat Systems, Inc.",
  "3764"  :  "ADIC",
  "4413"  :  "Broadcom",
  "4743"  :  "NextNet Inc.",
  "5528"  :  "NetBotz",
  "5624"  :  "Enterasys Networks",
  "6767"  :  "RLX Technologies",
  "7262"  :  "DragonWave, Inc.",
  "10728" :  "Redline Networks",
  "10844" :  "Fidelia, Inc.",
  "11256" :  "NetASQ",
  "13858" :  "Valere Power, Inc.",
  "13995" :  "Amperion Inc.",
  "17713" :  "Orthogon Systems",
}

TV_ENTERPRISE_SYSDESCR = {
  "318"   :  '1.1.1.1.1.1.0',
  "13858" :  '2.1.2.0',
  "13995" :  '2.10.0'
}

'''
%NV_TCP_TESTS = (
  'ftp'     => { 'name'   => "FTP", 'port'    => 21, 'auth'   => "yes" },
  'smtp'    => { 'name'   => "SMTP", 'port'   => 25 },
  'http'    => { 'name'   => "HTTP", 'port'   => 80 },
  'pop3'    => { 'name'   => "POP3", 'port'   => 110, 'auth'  => "yes" },
  'nntp'    => { 'name'   => "NNTP", 'port'   => 119 },
  'imap'    => { 'name'   => "IMAP", 'port'   => 143, 'auth'  => "yes" },
  'https'   => { 'name'   => "HTTPS", 'port'  => 443 },
  'pop3s'   => { 'name'   => "POP3S", 'port'  => 995, 'auth'  => "yes" },
  'imaps'   => { 'name'   => "IMAPS", 'port'  => 993, 'auth'  => "yes" }
  );

%NV_POST_PROCESSOR = (
  'NONE'        => 0, 'PERCENT'      => 1, 'DELTA'       => 2,
  'RATE'        => 3, 'DELTAPERCENT' => 4, 'RATEPERCENT' => 5,
  'REVPERCENT'  => 6, 'STRHEX2LONG'  => 7, 'TIMETICKS'   => 8
  );
'''

# backwards compatibility
NV_DEVICE_TYPES = TV_DEVICE_TYPES
NV_ENTERPRISE_ID = TV_ENTERPRISE_ID
NV_ENTERPRISE_SYSDESCR = TV_ENTERPRISE_SYSDESCR

#config parsing:
#  email options
#  port numbers
#  login names (EDF/ISM)
#  login passwords
