#!/usr/bin/python
#
# $Id: NameSpace.py,v 1.1.1.1 2009-12-02 06:54:14 jloden Exp $
#

TRAVERSE_ALIASES_NQP = {
    'actions'                 : 'action',
    'adminclasses'            : 'adminclass',
    'admingroup'              : 'adminclass',
    'admingroups'             : 'adminclass',
    'service'                 : 'container',
    'services'                : 'container',
    'containers'              : 'container',
    'departments'             : 'department',
    'account'                 : 'department',
    'accounts'                : 'department',
    'devices'                 : 'device',
    'targetdevice'            : 'device',
    'targetdevices'           : 'device',
    'networkdevice'           : 'device',
    'networkdevices'          : 'device',
    'devicedepedency'         : 'device',
    'targetdevicedependency'  : 'device',
    'networkdevicedependency' : 'device',
    'dges'                    : 'dge',
    'locations'               : 'location',
    'tests'                   : 'test',
    'testconfig'              : 'test',
    'testconfigs'             : 'test',
    'users'                   : 'user',
    'userclasses'             : 'userclass',
    'usergroup'               : 'userclass',
    'usergroups'              : 'userclass',
}

TRAVERSE_BVEAPI_OBJECTS = [
    "action",
    "adminclass",
    "admingroup",
    "container",
    "department",
    "device",
    "devicedependency",
    "dge",
    "event",
    "location",
    "result",
    "test",
    "user",
    "userclass",
]

TRAVERSE_ISM_METHODS = [
    "InsertMessage",
]


# backward compatibility only
NETVIGIL_ALIASES_NQP = TRAVERSE_ALIASES_NQP
NETVIGIL_ISM_METHODS = TRAVERSE_ISM_METHODS
NETVIGIL_BVEAPI_OBJECTS = TRAVERSE_BVEAPI_OBJECTS
