#!/usr/bin/env python
#
# $Id: setup.py,v 1.4 2010-07-27 16:32:22 jloden Exp $
#

import sys
from distutils.core import setup

def main():
    setup_args = dict(
        name='pytraverse',
        version='0.1.2',
        description='Module providing Traverse socket API wrapper for Python',
        long_description="""
pytraverse is a module providing access to the Traverse socket-based API for
Python programs.""",
        keywords=['pytraverse', 'traverse'],
        author='Jay Loden',
        author_email='jloden@gmail.com',
        url='http://jayloden.com/pytraverse.htm',
        platforms='Platform Independent',
        license='License :: OSI Approved :: BSD License',
        packages=['pytraverse'],
        classifiers=[
              'Development Status :: 2 - Pre-Alpha',
              'Environment :: Console',
              'Operating System :: MacOS',
              'Operating System :: Microsoft :: Windows',
              'Operating System :: POSIX :: Linux',
              'Operating System :: OS Independent',
              'Programming Language :: Python',
              'Topic :: Software Development :: Libraries :: Python Modules',
              'Intended Audience :: Developers',
              'Intended Audience :: System Administrators',
              'License :: OSI Approved :: BSD License',
              ],
        )
    setup(**setup_args)


if __name__ == '__main__':
    main()
